package test.org.lantsovanton;

import org.lantsovanton.abstraction.model.*;
import org.lantsovanton.games.attax.Attax;
import org.lantsovanton.games.attax.RandomAttax;
import org.lantsovanton.movers.AttaxMove;

import junit.framework.TestCase;

public class RandomAttaxTest extends TestCase {
	// excess all field found first self chip that may do move
	
	public void testname(){
		
		Intellect intellect = new RandomAttax();
		assertEquals( "RandomAttax", intellect.getName() );
	}
	
	public void testgo(){
		//
		IGame game = new Attax();
		IPosition position = game.initialPosition();
		Intellect intellect = new RandomAttax();
		intellect.setGame(game);
		intellect.setPlayer(1);
		intellect.setPosition(position);
		intellect.setRandom( false );
		AttaxMove move = new AttaxMove(1);
		move.add(0,0);
		move.add( 1,0 );
		assertEquals( move.toString(), ( (AttaxMove)intellect.go() ).toString()  );
		//
		game = new Attax();
		position = game.initialPosition();
		position.setPlayer(2);
		intellect = new RandomAttax();
		intellect.setGame(game);
		intellect.setPlayer(2);
		intellect.setPosition(position);
		intellect.setRandom( false );
		move = new AttaxMove(2);
		move.add(7,0);
		move.add(5,0);
		assertEquals( move.toString(), ( (AttaxMove)intellect.go() ).toString()  );
	}
	

}
